#!/usr/bin/env bash

. "std.sh"
program_begin ssh

pacinstall openssh

if [ ! -f "$HOME/.ssh/id_ed25519" ]; then
    info "Generating ssh key"
    ssh-keygen -f ~/.ssh/id_ed25519 -N "" &> ~/.ssh/key-creation.log
fi
cp -v configs/ssh-config ~/.ssh/config

program_end
