#!/usr/bin/env bash

. "std.sh"
program_begin hyprland

pacinstall hyprpaper
pacinstall hyprpolkitagent
pacinstall network-manager-applet
pacinstall waybar
yayinstall kanata
yayinstall bibata-cursor-theme
pacinstall mako
pacinstall hyprland
pacinstall fuzzel
pacinstall cliphist
pacinstall playerctl
pacinstall wireplumber
pacinstall alacritty
pacinstall dolphin
yayinstall bemoji
pacinstall swaylock
user_unit_enable wireplumber
config_from_nixos_config hypr/hyprland.conf
cp -v configs/hyprpaper.conf ~/.config/hypr/hyprpaper.conf
config_from_nixos_config hypr/wallpaper1.png
cp -v configs/alacritty.toml ~/.config/alacritty.toml
config_from_nixos_config alacritty/themes/tokyonight-night.toml
config_from_nixos_config mako/config
config_from_nixos_config config.kbd kanata/config.kbd
config_from_nixos_config fuzzel.ini fuzzel/fuzzel.ini

pacinstall python-gobject
pacinstall gobject-introspection
# waybar
# config_from_nixos_config waybar/config
mkdir -v -p ~/.config/waybar
cp -v configs/waybar/config ~/.config/waybar/config
cp -v configs/waybar/style.css ~/.config/waybar/style.css
config_from_nixos_config waybar/mediaplayer.py

program_end
