#!/usr/bin/env bash

. "std.sh"
program_begin yay

pacinstall base-devel

pacman -Q yay-bin > /dev/null

if [[ "$?" -ne 0 ]]; then
	mkdir -p aur-packages
	git clone https://aur.archlinux.org/yay-bin.git aur-packages/yay
	pushd aur-packages/yay
	makepkg -si
	popd
fi

program_end
